package pc2;

public class MarksManager {
	static final float MIN_MARK = 0;
	static final float MAX_MARK = 20;
	private Course course;
	private float[] marks;
	private int currentIndex;

	// Create a marks manager
	// The course and the number max  of students is given as a parameter
	public MarksManager(Course course, int numberStudents) {
		// Test if the number of students is a valid value
		if (numberStudents > 0) {
			this.course = course;
			marks = new float[numberStudents];
			currentIndex = 0;
		}
	}

	// Add a mark for the student number currentIndex
	public void addMark(float mark) {
		if ((mark >= MIN_MARK) && (mark <= MAX_MARK))
			if (currentIndex < marks.length) {
				marks[currentIndex] = mark;
				currentIndex++;
			}
	}

	// Compute the mean of the current set of marks
	public float mean() {
		float add = 0;
		for (int i = 0; i < currentIndex; i++)
			add += marks[i];
		return add / currentIndex;
	}

	// Print in the output the set of current marks
	public void showMarks() {
		System.out.println("Notes de " + course + " : ");
		for (int i = 0; i < currentIndex; i++)
			System.out.println("La note de l'lve " + i + " est " + marks[i]);
	}

	/**
	 * @return the currentIndex
	 */
	public int getCurrentIndex() {
		return currentIndex;
	}


}
