package pc2;

import java.util.Scanner;

public class MarksManagerUse {
	public static void main(String[] args) {

		// Test if the number of arguments is correct
		if (args.length < 2) {
			System.out.print("Wrong number of arguments.");
			System.out.println("Usage: MarksManagerUse courseName numberStudents");
			System.exit(-1);
		}

		// Test if the argument has a valid value
		int numberStudents = Integer.parseInt(args[1]);
		if (numberStudents <= 0) {
			System.out.println("Number of students should be greater than 0.");
			System.exit(-1);
		}
		//Create course
		Course course=new Course(args[0]); 
		//create studentds
		StudentsManager studentsManager=new StudentsManager(numberStudents);
		studentsManager.populate();
		// Create instance of MarksManager
		// The course and the max number of students is just fixed
		MarksManager manager = new MarksManager(course, numberStudents);      
		Scanner sc = new Scanner(System.in);
		int choice=0;
		while (choice!=5) {
			System.out.println("Que souhaitez vous faire :");
			System.out.println("1. Insrer une note");
			System.out.println("2. Calculer la moyenne des notes saisies");
			System.out.println("3. Afficher les notes");
			System.out.println("4. Afficher la liste des tudiants");
			System.out.println("5. Quitter");
//			while(sc.hasNext())
//				sc.next();
			choice = sc.nextInt();
			switch (choice) {
			case 1: // Insert a mark
				System.out.println("Donnez la note pour l'tudiant "+ studentsManager.getStudent(manager.getCurrentIndex()));
				float mark = sc.nextFloat();
				manager.addMark(mark);
				break;
			case 2: // Calculate mean
				System.out.println("La moyenne actuelle est de "
						+ manager.mean() + "\n");
				break;
			case 3: // Show marks of students
				manager.showMarks();
				break;
			case 4: // display all students
				studentsManager.displayAllStrudents();
				break;
			case 5:
				break;
			default:
				System.out.print("L'option que vous avez choisie n'existe pas.");
				System.out.println("Essayez nouveau.\n");
			}
		}
		sc.close();
	}
}

